Cyberduck Mountain Duck CLI

#1213 closed defect (fixed)

Directory listing fails for Trellix FTP Server

Reported by: npalardy Owned by: dkocher
Priority: normal Milestone: 3.0.2
Component: ftp Version: 3.0
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Since about version 2.5.1 when trying to view the list of files on my host (domain direct) I get no files listed and I have no idea why.

Is there some means I can help / assist determine why this is the case ?

Things seem to work for uploading but for deleting and other tasks I have had to resort to command line FTP

Change History (17)

comment:1 Changed on Aug 14, 2007 at 12:09:23 AM by npalardy

  • Summary changed from Coonections to FTP hosted at domain direct results in blank listings to Conections to FTP hosted at domain direct results in blank listings

comment:2 Changed on Aug 18, 2007 at 12:06:28 PM by dkocher

  • Component changed from core to ftp
  • Status changed from new to assigned
  • Summary changed from Conections to FTP hosted at domain direct results in blank listings to Directory listing fails for Trellix FTP Server

Can you post the log using the current 2.8b1 build.

comment:4 Changed on Aug 18, 2007 at 4:16:04 PM by dkocher

Have you installed a 2.8b1 build? It does not look like from the log. Get the latest build from http://update.cyberduck.ch/nightly/

comment:5 Changed on Aug 18, 2007 at 10:53:00 PM by dkocher

-rw-r--r--  FTP  User     5697271 Oct 14 03:16 GZIPplugin.zip

comment:6 Changed on Aug 19, 2007 at 10:49:45 PM by dkocher

  • Milestone set to 2.8.1

Added testcase in r3230.

comment:7 Changed on Dec 19, 2007 at 10:11:30 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3358.

comment:8 Changed on May 15, 2008 at 2:07:55 PM by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 2.7.3 to 3.0

Downloaded version 3.0 (3966) and still get blank listings from Domain Direct ftp servers

comment:9 Changed on Jul 21, 2008 at 10:29:22 PM by dkocher

Please post the transcript from View → Log Drawer.

comment:10 Changed on Jul 21, 2008 at 10:44:16 PM by anonymous

230-Disk space available: 90207951 bytes
230 Successfully logged in: username great-white-software.com
NOOP
200 NOOP command successful
SYST
215 Linux 2.4.20-30.9.1INLDsmp : Trellix FTP Server 1.0 (Linux|Unix|Windows)
CWD /
250 CWD command successful
FEAT
500-"FEAT"
500 Command not understood
PASV
227 Entering Passive Mode (209,35,114,251,70,124)
LIST -a
150 Opening data connection
226 Command successful
Last edited on Aug 12, 2010 at 9:41:59 AM by dkocher (previous) (diff)

comment:11 Changed on Jul 22, 2008 at 7:33:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

The server sends an empty directory listing. There is nothing I can do.

comment:12 Changed on Jul 22, 2008 at 7:37:35 PM by anonymous

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Cyberduck is the only FTP client that cannot retrieve the list :) Using the command line and issuing an ls lists hundreds of files Forklift gets the full list

comment:13 Changed on Jul 22, 2008 at 7:41:14 PM by dkocher

I see. Then it could be the -a flag to blame. Please try both of the following:

  1. The latest nightly build at http://update.cyberduck.ch/nightly/ which adds support for an additional method for directory listings over the control channel.
  2. Open a Terminal.app window and enter defaults write ch.sudo.cyberduck ftp.sendExtendedListCommand false and restart Cyberduck.

comment:14 Changed on Jul 22, 2008 at 7:41:38 PM by dkocher

  • Milestone changed from 2.8.3 to 3.0.2

comment:15 Changed on Jul 22, 2008 at 7:55:46 PM by anonymous

turning off the -a works and the list is returned correctly

This will allow me to switch back to using cyber duck (I much prefer it)

comment:16 Changed on Jul 22, 2008 at 8:38:15 PM by dkocher

Does the recent nightly build work as well?

comment:17 Changed on Jul 22, 2008 at 8:46:20 PM by anonymous

Not until I ran the defaults command you supplied

comment:18 Changed on Jul 24, 2008 at 11:07:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

More fuzzy logic as of r4128.

It should now be possible to revert the default setting using

defaults write ch.sudo.cyberduck ftp.sendExtendedListCommand false

and still get the directory listing.

Note: See TracTickets for help on using tickets.
swiss made software